plugins {
    id 'com.android.library'
}

android {
    compileSdkVersion 34

    defaultConfig {
        minSdkVersion 17
    }

    buildTypes {
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            consumerProguardFiles 'proguard-rules.pro'
        }
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            consumerProguardFiles 'proguard-rules.pro'
        }
    }
}

dependencies {
    api fileTree(include: ['*.jar'], dir: 'libs')
    compileOnly 'androidx.appcompat:appcompat:1.0.0'
    compileOnly 'androidx.recyclerview:recyclerview:1.0.0'
    api 'com.sobot.library:utils:1.1.3'
}


//添加发布到mavenCentral脚本
apply from: './sobot-widget-publish-mavencentral.gradle'